Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.expression.operator.logical
Class LogicalOperator

    java.lang.Object
      com.bea.p13n.expression.internal.ComplexExpressionImpl
          com.bea.p13n.expression.operator.Operator
              com.bea.p13n.expression.operator.logical.LogicalOperator

All Implemented Interfaces
  Expression, com.bea.p13n.expression.ExpressionEvents, Serializable, Cloneable

Direct Known Subclasses:
  LogicalAnd, LogicalMultiAnd, LogicalMultiOr, LogicalNot, LogicalOr

    public abstract class LogicalOperator

extends Operator

Implementation of the LogicalOperator operator. Base class for all LogicalOperators.

See Also
  Serialized Form

Field Summary
`protected static Class[]` | `BINARY_PARAMETER_SIGNATURE`
`protected static Class[]` | `UNARY_PARAMETER_SIGNATURE`

Fields inherited from interface com.bea.p13n.expression.ExpressionEvents
`EVENT_ADD_SUBEXPRESSION, EVENT_CLEAR_CACHE, EVENT_INTERNAL_MAX, EVENT_REMOVE_SUBEXPRESSION, EVENT_SET_CACHE_ENABLED, EVENT_SET_CACHED_VALUE, EVENT_SET_PARENT, EVENT_SET_SOURCE, EVENT_SET_SUBEXPRESSION, EVENT_SET_USER_DATA`

Constructor Summary
`protected` | `LogicalOperator()` A default constructor that can used by multi-operand operators.
`protected` | `LogicalOperator(Object operand)` Allocates a `LogicalOperator` by associating the given single operand.
`` | `LogicalOperator(Object[] operands)` Allocates a `LogicalOperator` by associating the given array of of operands.
`protected` | `LogicalOperator(Object lhs, Object rhs)` Allocates a `LogicalOperator` by associating the given two operands.

Method Summary
`protected static Class[]` | `updateParameterSignature(int subExpressionCount, Class[] oldSignature)` Returns a new parameter signature array for the given sub-expression count and old parameter signature array.

Methods inherited from class com.bea.p13n.expression.operator.Operator
`leftHandSide, operand, rightHandSide`

Methods inherited from class com.bea.p13n.expression.internal.ComplexExpressionImpl
`addListener, addSubExpression, clearCache, clone, createProxyExpression, equals, getCachedValue, getParent, getSource, getSubExpression, getSubExpressionCount, getUserData, hashCode, isCached, isCacheEnabled, isEqualitySubExpression, notifyListeners, removeAllSubExpressions, removeListener, removeSubExpression, removeSubExpression, setCachedValue, setCacheEnabled, setParent, setSource, setSubExpression, setUserData, toString, write`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.p13n.expression.Expression
`getParameterSignature`

Field Detail

### BINARY_PARAMETER_SIGNATURE

    protected static final Class[] BINARY_PARAMETER_SIGNATURE

### UNARY_PARAMETER_SIGNATURE

    protected static final Class[] UNARY_PARAMETER_SIGNATURE

Constructor Detail

### LogicalOperator

    protected LogicalOperator()

  A default constructor that can used by multi-operand operators.

### LogicalOperator

    protected LogicalOperator(Object operand)

  Allocates a `LogicalOperator` by associating the given single operand.

  Parameters
    `operand` - An `Object` acting as a operand for this.

### LogicalOperator

    protected LogicalOperator(Object lhs,
                              Object rhs)

  Allocates a `LogicalOperator` by associating the given two operands.

  Parameters
    `lhs` - The left hand side operand for this.
    `rhs` - The right hand side operand for this.

### LogicalOperator

    public LogicalOperator(Object[] operands)

  Allocates a `LogicalOperator` by associating the given array of of operands.

  Parameters
    `operands` - An array of `Object`s act as operands for this.

Method Detail

### updateParameterSignature

    protected static Class[] updateParameterSignature(int subExpressionCount,
                                                      Class[] oldSignature)

  Returns a new parameter signature array for the given sub-expression count and old parameter signature array.

  Parameters
    `subExpressionCount` - The new number of sub-expressions.
    `oldSignature` - The `Class` array representing the the old parameter signature for the given operator.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.